import 'package:hmg_patient_app/widgets/data_display/text.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class OrderLogItem extends StatelessWidget {
  final String? title;
  final String? value;
  OrderLogItem({ this.title, this.value});
  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.all(10),
      width: double.maxFinite,
      margin: EdgeInsets.only(bottom: 4,left: 4,right: 4),
      decoration: BoxDecoration(
          borderRadius: BorderRadius.only(
            bottomRight:  Radius.circular(12),
            bottomLeft:  Radius.circular(12),
          ),
          color: Colors.white
      ),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Texts(title!,color: Colors.grey,),
          SizedBox(height: 4,),
          Texts(value??''),
        ],
      ),
    );
  }
}
